[arch-commits] Commit in git/trunk (PKGBUILD git.install)
Christian Hesse
eworm at archlinux.org
Fri Aug 4 11:45:39 UTC 2017
Date: Friday, August 4, 2017 @ 11:45:39
Author: eworm
Revision: 301640
upgpkg: git 2.13.4-2
* make git-shell the default shell for user git (FS#52027)
* pending changes from svn
Modified:
git/trunk/PKGBUILD
git/trunk/git.install
-------------+
PKGBUILD | 2 +-
git.install | 11 ++++++++++-
2 files changed, 11 insertions(+), 2 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2017-08-04 09:50:56 UTC (rev 301639)
+++ PKGBUILD 2017-08-04 11:45:39 UTC (rev 301640)
@@ -4,7 +4,7 @@
pkgname=git
pkgver=2.13.4
-pkgrel=1
+pkgrel=2
pkgdesc="the fast distributed version control system"
arch=(i686 x86_64)
url="http://git-scm.com/"
Modified: git.install
===================================================================
--- git.install 2017-08-04 09:50:56 UTC (rev 301639)
+++ git.install 2017-08-04 11:45:39 UTC (rev 301640)
@@ -1,12 +1,21 @@
+#!/bin/sh
+
post_install() {
if ! getent group git >/dev/null; then
groupadd --system git
fi
if ! getent passwd git >/dev/null; then
- useradd --system -c 'git daemon user' -g git -d / -s /bin/bash git
+ useradd --system -c 'git daemon user' -g git -d / -s /usr/bin/git-shell git
fi
+ if ! grep -qe '^/usr/bin/git-shell$' etc/shells; then
+ echo '/usr/bin/git-shell' >> etc/shells
+ fi
}
post_upgrade() {
post_install $1
}
+
+post_remove() {
+ sed -i -r '/^\/usr\/bin\/git-shell$/d' etc/shells
+}
More information about the arch-commits
mailing list